%global srcname paho-mqtt

Name:           python-%{srcname}
Version:        1.6.1
Release:    2%{?dist}
Summary:        Python MQTT version 3.1/3.1.1/5.0 client class

License:        EPL-1.0
URL:            http://eclipse.org/paho/
Source0:        https://github.com/eclipse/paho.mqtt.python/archive/v%{version}/%{srcname}-%{version}.tar.gz
Buildarch:      noarch

%description
This library provides a client class which enable applications to connect to
an MQTT broker to publish messages, and to subscribe to topics and receive
published messages. It also provides some helper functions to make publishing
one off messages to an MQTT server very straightforward.

The MQTT protocol is a machine-to-machine (M2M) connectivity protocol. Designed
as an extremely lightweight publish/subscribe messaging transport, it is useful
for connections with remote locations where a small code footprint is required
and/or network bandwidth is at a premium.

%package -n python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest-runner
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This library provides a client class which enable applications to connect to
an MQTT broker to publish messages, and to subscribe to topics and receive
published messages. It also provides some helper functions to make publishing
one off messages to an MQTT server very straightforward.

The MQTT protocol is a machine-to-machine (M2M) connectivity protocol. Designed
as an extremely lightweight publish/subscribe messaging transport, it is useful
for connections with remote locations where a small code footprint is required
and/or network bandwidth is at a premium.

%prep
%autosetup -n paho.mqtt.python-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc CONTRIBUTING.md README.rst *.html
%license LICENSE.txt
%{python3_sitelib}/paho/
%{python3_sitelib}/paho*.egg-info

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.6.1-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-1
- initial build
